fop 1.1

## org.apache.fop.render.afp
Class AFPRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator
          org.apache.fop.render.AbstractRendererConfigurator
              org.apache.fop.render.PrintRendererConfigurator
                  org.apache.fop.render.afp.AFPRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator, RendererConfigurator

    public class AFPRendererConfigurator

extends PrintRendererConfigurator
implements IFDocumentHandlerConfigurator

AFP Renderer configurator

Field Summary

Fields inherited from class org.apache.fop.render.PrintRendererConfigurator
`log`

Fields inherited from class org.apache.fop.render.AbstractConfigurator
`userAgent`

Constructor Summary
`AFPRendererConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`void` `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`void` `configure(Renderer renderer)` Throws an UnsupportedOperationException.
`void` `setupFontInfo(IFDocumentHandler documentHandler, FontInfo fontInfo)` Sets up the `FontInfo` object for the IFDocumentHandler.

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`buildFontList`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getRendererConfig, getRendererConfig, getType`

Methods inherited from class org.apache.fop.render.AbstractConfigurator
`getConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPRendererConfigurator

    public AFPRendererConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### configure

    public void configure(Renderer renderer)

  Throws an UnsupportedOperationException.

  Specified by:
    `configure` in interface `RendererConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `renderer` - not used

### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Configures a intermediate format document handler.

  Specified by:
    `configure` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
  Throws:
    `FOPException` - if an error occurs while configuring the object

### setupFontInfo

    public void setupFontInfo(IFDocumentHandler documentHandler,
                              FontInfo fontInfo)
                       throws FOPException

  Sets up the `FontInfo` object for the IFDocumentHandler.

  Specified by:
    `setupFontInfo` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `setupFontInfo` in class `PrintRendererConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
    `fontInfo` - the font info object to set up
  Throws:
    `FOPException` - if an error occurs while configuring the object

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.